---
title: "Pages the store's automations."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › automation

`GET /v1/stores/{store}/automations`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `automation:read`

## Path parameters

- `store` (`listAllAutomations.path.store`; string, required) — The store's id.

## Query parameters

- `filter` (`listAllAutomations.query.filter`; object, optional) — `filter[<field>]=<value>` is an equality, `filter[<field>][<op>]=<value>` names the operator; `in` repeats the parameter.
- `sort` (`listAllAutomations.query.sort`; string, optional)
  - one of `"created"`
- `direction` (`listAllAutomations.query.direction`; string, optional)
  - one of `"asc"`, `"desc"`
- `limit` (`listAllAutomations.query.limit`; integer, optional)
  - min 1; max 100
- `cursor` (`listAllAutomations.query.cursor`; string, optional)
  - maxLength 8192
- `count` (`listAllAutomations.query.count`; boolean, optional)
- `search` (`listAllAutomations.query.search`; string, optional)
  - minLength 1; maxLength 200
- `facets` (`listAllAutomations.query.facets`; array<string>, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/automations' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/automations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/automations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Pages the store's automations.

#### Example

```json
{
  "items": [
    {
      "trigger": {
        "product": {
          "id": "string",
          "slug": "string",
          "path": "string",
          "url": "string",
          "title": "string",
          "category": "string",
          "deleted": true
        },
        "kind": "product.reviewed",
        "product_id": "string",
        "min_rating": 0
      },
      "action": {
        "product": {
          "id": "string",
          "slug": "string",
          "path": "string",
          "url": "string",
          "title": "string",
          "category": "string",
          "deleted": true
        },
        "kind": "product.unlock",
        "product_id": "string"
      },
      "ended": true,
      "id": "string",
      "name": "string",
      "paused_at": "string",
      "token_id": "string",
      "created_at": "string"
    }
  ],
  "cursor": "string",
  "total": 0,
  "facets": {
    "property1": {
      "property1": 0,
      "property2": 0
    },
    "property2": {
      "property1": 0,
      "property2": 0
    }
  }
}
```

- `items` (`listAllAutomations.response.200.items`; array<object>, required)
  - `trigger` (`listAllAutomations.response.200.items.trigger`; any of, required)
    - any of: `object`, `object`, `object`
  - `action` (`listAllAutomations.response.200.items.action`; any of, required)
    - any of: `object`, `object`
  - `ended` (`listAllAutomations.response.200.items.ended`; boolean, required)
  - `id` (`listAllAutomations.response.200.items.id`; string, required)
  - `name` (`listAllAutomations.response.200.items.name`; any of, required)
    - any of: `string`, `null`
  - `paused_at` (`listAllAutomations.response.200.items.paused_at`; any of, required)
    - any of: `string`, `null`
  - `token_id` (`listAllAutomations.response.200.items.token_id`; any of, required)
    - any of: `string`, `null`
  - `created_at` (`listAllAutomations.response.200.items.created_at`; any of, required)
    - any of: `string`, `null`
- `cursor` (`listAllAutomations.response.200.cursor`; any of, required)
  - any of: `string`, `null`
- `total` (`listAllAutomations.response.200.total`; number, optional)
- `facets` (`listAllAutomations.response.200.facets`; map<map<number>>, optional)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listAllAutomations.response.default.type`; string, required)
  - format `uri`
- `title` (`listAllAutomations.response.default.title`; string, required)
- `status` (`listAllAutomations.response.default.status`; integer, required)
- `detail` (`listAllAutomations.response.default.detail`; string, required)
- `code` (`listAllAutomations.response.default.code`; string, optional)
- `context` (`listAllAutomations.response.default.context`; object, optional)
- `reached_core` (`listAllAutomations.response.default.reached_core`; boolean, optional)
- `core_answer` (`listAllAutomations.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/list-all-automations/index.md
